Permissions
===========

Il est possible de donner des permissions à certains utilisateurs pour qu'ils puissent avoir accès à une partie de seulement de l'interface d'administration.

## Exemple pour un groupe gérant le matos

1. Créer un groupe (dans Auth) 'Matos' avec toutes les permissions de l'application 'hardware_provisioning'.

2. Pour chaque bénévole qui va gérer le matos, aller sur la page qui permet de modifier ses informations et dans la rubrique 'Permissions' :

  - lui ajouter le 'Statut équipe'
  - l'ajouter au groupe 'Matos'

Quand on déclare un nouvel emprunt, il faut taper au moins 4 caractères du nom du membre qui emprunte, de cette façon un utilisateur qui n'est pas superuser n'a pas accès facilement à la liste de tous les membres.

## Exemple pour un groupe gérant les abonnements ADSL

1. Pour chaque offre ADSL, créer une 'Row Level Permission' (dans *Members*) correspondante (c'est pénible mais on est obligé de faire une permission par Offre). Par exemple :
  - Nom : 'Permission ADSL Marque blanche',
  - Content Type : 'abonnement',
  - Nom de code : 'perm-adsl-marque-blanche',
  - Offre : Marque blanche FDN - 32 € / mois'

 et

  - Nom : 'Permission ADSL Marque blanche (préférentiel)',
  - Content Type : 'abonnement',
  - Nom de code : 'perm-adsl-marque-blanche-pref',
  - Offre : Marque blanche FDN - 28 € / mois (préférentiel)'

2. Créer un 'Groupe' (dans Auth) nommé 'ADSL' avec les permissions suivantes :
  - membres | membre | Can add membre                  # pour que les bénévoles puissent ajouter de nouveaux membres
  - membres | membre | Can change membre			     # pour qu'ils puissent éditer les infos des membres, ils n'auront accès qu'aux membres qui ont souscrit à un abonnement ADSL
  - offers | abonnement | Can add abonnement		     # pour qu'ils puissent ajouter un abonnement
  - offers | abonnement | Can change abonnement	     # pour qu'ils puissent modifier un abonnement
  - offers | abonnement | Can delete abonnement	     # si l'on veut qu'ils puissent supprimer des abonnements (mais ça marche très bien sans)
  - offers | abonnement | 'perm-adsl-marque-blanche'	 # pour qu'ils puissent avoir accès aux membres qui ont souscrit à l'offre correspondante (permission qu'on vient de créer au 1.)
  - offers | abonnement | 'perm-adsl-marque-blanche-pref' (idem)

3. Pour chaque bénévole qui va gérer l'ADSL, aller sur la page qui permet de modifier ses informations et dans la rubrique 'Permissions' :
  - lui ajouter le 'Statut équipe' (afin qu'il puisse se connecter à l'interface d'admin)
  - l'ajouter au groupe 'ADSL'

Les bénévoles du groupe peuvent maintenant ajouter / modifier des membres et des abonnements.

**Attention :** pour respecter la vie privée, les membres du groupe n'ont accès qu'aux membres qui ont un abonnement ADSL. Donc s'ils veulent enregistrer un nouveau membre il faut renseigner son abonnement *au moment de la création de la fiche membre* (en bas du formulaire adhérent) ; sinon la fiche du nouveau membre va être créée mais sera invisible (erreur 404, sauf pour le bureau).
